package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@SequenceGenerator(name = "PACOTE_FORMAPAGO_SEQ", sequenceName = "PACOTE_FORMAPAGO_SEQ", allocationSize = 1)
@Table(name = "PACOTE_FORMAPAGO")
public class PacoteFormapago implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "PACOTEFORMAPAGO_ID")
	private Long pacoteformapagoId;

	@Column(name = "VALOR")
	private BigDecimal valor;

	@ManyToOne
	@JoinColumn(name = "VENDAPACOTE_ID")
	private VendaPacote vendaPacote;

	@ManyToOne
	@JoinColumn(name = "FORMAPAGO_ID")
	private FormaPago formaPago;
	
	public Long getPacoteformapagoId() {
		return pacoteformapagoId;
	}

	public void setPacoteformapagoId(Long pacoteformapagoId) {
		this.pacoteformapagoId = pacoteformapagoId;
	}

	public BigDecimal getValor() {
		return valor;
	}

	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}

	public VendaPacote getVendaPacote() {
		return vendaPacote;
	}

	public void setVendaPacote(VendaPacote vendaPacote) {
		this.vendaPacote = vendaPacote;
	}

	public FormaPago getFormaPago() {
		return formaPago;
	}

	public void setFormaPago(FormaPago formaPago) {
		this.formaPago = formaPago;
	}

}
